# Auth JWT Test

A test/demo module for `auth_jwt`.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

This modules creates a JWT validator named `demo`, and adds a `/auth_jwt_demo/whoami` route which returns information about the partner identified in the token.

The `whoami` endpoint can be invoked as such, assuming python-jose is installed.

    # /usr/bin/env python3
    import time

    import requests
    from jose import jwt

    token = jwt.encode(
        {
            "aud": "auth_jwt_test_api",
            "iss": "some issuer",
            "exp": time.time() + 60,
            "email": "mark.brown23@example.com",
        },
        key="thesecret",
        algorithm=jwt.ALGORITHMS.HS256,
    )
    r = requests.get(
        "http://localhost:8069/auth_jwt_demo/whoami",
        headers={"Authorization": "Bearer " + token},
    )
    r.raise_for_status()
    print(r.json())

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV

## Contributors

- Stéphane Bidoul <stephane.bidoul@acsone.eu>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/server-auth project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.